#!/usr/bin/env perl
#
# Copyright (C) 2003  Internet Software Consortium.
#
# Permission to use, copy, modify, and distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.
#
# THE SOFTWARE IS PROVIDED "AS IS" AND INTERNET SOFTWARE CONSORTIUM
# DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL
# INTERNET SOFTWARE CONSORTIUM BE LIABLE FOR ANY SPECIAL, DIRECT,
# INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING
# FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT,
# NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION
# WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

# $Id: torture.pl,v 1.2 2003/02/13 18:25:11 explorer Exp $

use warnings;
use strict;

print ".INCLUDE config.inc\n";
print ".INCLUDE login.inc\n";

print ".VAR __C1__=c1\n";
print ".VAR __C2__=c1\n";

for (my $i = 1 ; $i < 1000 ; $i++) {
    print ".VAR __D1__={domain}.__APEX__\n";
    print ".INCLUDE domain-add.inc\n";

    print ".VAR __H1__={host}.{domain}.__OOZ_APEX__\n";
    print ".VAR __H1SAVE__=__H1__\n";
    print ".INCLUDE host-add-ooz.inc\n";

    print ".VAR __H1__={host}.__D1__\n";
    print ".INCLUDE host-add.inc\n";

    print '
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<epp xmlns="urn:ietf:params:xml:ns:epp-1.0"
     xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
     xsi:schemaLocation="urn:ietf:params:xml:ns:epp-1.0 epp-1.0.xsd">
  <command>
    <update>
      <domain:update xmlns:domain="urn:ietf:params:xml:ns:domain-1.0"
                     xsi:schemaLocation="urn:ietf:params:xml:ns:domain-1.0
                     domain-1.0.xsd">
        <domain:name>__D1__</domain:name>
        <domain:add>
          <domain:ns>__H1__</domain:ns>
          <domain:ns>__H1SAVE__</domain:ns>
        </domain:add>
      </domain:update>
    </update>
    <clTRID>__XID__</clTRID>
  </command>
</epp>
.SEND
';

}

print ".INCLUDE logout.inc\n";


